Name:		perl-Apache-Admin-Config
Version: 	0.94
Release:	4.2
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Apache::Admin::Config
Summary(de):	Perlmodul Apache::Admin::Config
URL: 		http://search.cpan.org/~rsoliv/
Source0: 	Apache-Admin-Config-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl
BuildArch: 	noarch
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
Very fast matches large lists of IP addresses against many CIDR subnets,
calculates IP address ranges and provides a simple object oriented interface.

%prep
%setup -q -n Apache-Admin-Config-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/Apache::Admin::Config.3pm*
%dir %{perl_vendorlib}/Apache
%dir %{perl_vendorlib}/Apache/Admin
%{perl_vendorlib}/Apache/Admin/Config.pm

%changelog
* Tue Apr 15 2008 Carsten Schoene <cs@linux-administrator.com> - 0.94
- initial build of Apache::Admin::Config perl package.

